path: /build/build/setuptools_scm_git_archive-dev-python-1.4.1+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|^EAPI.*|EAPI=7\nDISTUTILS_USE_PEP517="setuptools"|g' /var/git/meta-repo/kits/python-modules-kit/dev-python/setuptools_scm_git_archive/setuptools_scm_git_archive-1.4.1.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/setuptools_scm_git_archive -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/setuptools_scm_git_archive && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/setuptools_scm_git_archive && \
    luet-portage --dir /pkgdir/setuptools_scm_git_archive dev-python/setuptools_scm_git_archive && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:88c18c15d818b094be7cc37d7690f6929b2501fa2d5770dd129790e6b832a48f
  package:
    name: setuptools_scm_git_archive
    version: 1.4.1+2
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: python-dateutil
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: setuptools_scm plugin for git archives
    uri:
    - https://github.com/Changaco/setuptools_scm_git_archive/
    - https://pypi.org/project/setuptools-scm-git-archive/
    buildtimestamp: 2025-05-23 13:04:32.135923033 +0000 UTC m=+90.249558140
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/setuptools_scm_git_archive
      kit: python-modules-kit
      original.package.name: dev-python/setuptools_scm_git_archive
      original.package.slot: "0"
      original.package.version: 1.4.1
    treedir: /build/packages
  package_dir: /pkgdir/setuptools_scm_git_archive
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ba296638a136f8e4f07c624ad8da847769f6a38f9103b2af00495932cf12f02f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive/__init__.py
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive-1.4.1.dist-info/METADATA
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive-1.4.1.dist-info/RECORD
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive-1.4.1.dist-info/WHEEL
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive-1.4.1.dist-info/entry_points.txt
- usr/lib/python3.9/site-packages/setuptools_scm_git_archive-1.4.1.dist-info/top_level.txt
- usr/share/doc/setuptools_scm_git_archive-1.4.1/README.rst.bz2
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/BDEPEND
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/BUILD_TIME
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CATEGORY
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CBUILD
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CFLAGS
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CHOST
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CONTENTS
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/COUNTER
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CTARGET
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CXX
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/CXXFLAGS
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/DEFINED_PHASES
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/DEPEND
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/DESCRIPTION
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/EAPI
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/FEATURES
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/HOMEPAGE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/INHERITED
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/IUSE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/KEYWORDS
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/LDFLAGS
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/LICENSE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/PF
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/RDEPEND
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/SIZE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/SLOT
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/USE
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/environment.bz2
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/repository
- var/db/pkg/dev-python/setuptools_scm_git_archive-1.4.1/setuptools_scm_git_archive-1.4.1.ebuild
package_cacheimage: ""
runtime:
  name: setuptools_scm_git_archive
  version: 1.4.1+2
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: setuptools_scm plugin for git archives
  uri:
  - https://github.com/Changaco/setuptools_scm_git_archive/
  - https://pypi.org/project/setuptools-scm-git-archive/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools_scm[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/setuptools_scm_git_archive
    kit: python-modules-kit
    original.package.name: dev-python/setuptools_scm_git_archive
    original.package.slot: "0"
    original.package.version: 1.4.1
